import sqlalchemy
from sqlalchemy.sql import text

FILE = "samsung_sales.xlsx"

if __name__ == "__main__":
    engine = sqlalchemy.create_engine(
        "duckdb:///:memory:",
    )
    with engine.begin() as conn:
        conn.execute(text("INSTALL spatial; LOAD spatial;"))

        result = conn.execute(
            text(
                "SELECT * FROM st_read('samsung_sales.xlsx', layer='Orders') WHERE \"Unit Selling Price\" > 14 LIMIT 10;"
            )
        )
        print(result.fetchall())
